LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Variables
com::sun::star::text::CharacterCompressionType Constant Group Referencepublished

These constants define character compression in Asian text. More...

## Variables
const short | NONE = 0
| the characters are uncompressed.
const short | PUNCTUATION_ONLY = 1
| only punctuation is compressed.
const short | PUNCTUATION_AND_KANA = 2
| punctuation and Japanese Kana are compressed.

## Detailed Description

These constants define character compression in Asian text.

## Variable Documentation

## ◆ NONE

const short NONE = 0

the characters are uncompressed.

## ◆ PUNCTUATION_AND_KANA

const short PUNCTUATION_AND_KANA = 2

punctuation and Japanese Kana are compressed.

## ◆ PUNCTUATION_ONLY

const short PUNCTUATION_ONLY = 1

only punctuation is compressed.